Assign category to transaction
curl --request POST \
--url https://api.ai2fin.com/api/transaction-categories/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryId": "<string>",
"categorySetId": "<string>",
"isPrimary": false,
"confidence": 0.5,
"notes": "<string>"
}
'import requests
url = "https://api.ai2fin.com/api/transaction-categories/{transactionId}"
payload = {
"categoryId": "<string>",
"categorySetId": "<string>",
"isPrimary": False,
"confidence": 0.5,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categoryId: '<string>',
categorySetId: '<string>',
isPrimary: false,
confidence: 0.5,
notes: '<string>'
})
};
fetch('https://api.ai2fin.com/api/transaction-categories/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"category": {
"id": "<string>",
"transactionId": "<string>",
"categoryId": "<string>",
"categorySetId": "<string>",
"userId": "<string>",
"isPrimary": true,
"confidence": 0.5,
"assignedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"isTaxDeductible": true,
"taxCategory": "<string>",
"defaultGstRate": 123
}
}
}Smart Categories
Assign category to transaction
Assign a category to a transaction. Transactions can have multiple categories.
POST
/
api
/
transaction-categories
/
{transactionId}
Assign category to transaction
Authorizations
bearerAuthcookieAuth
First-party access token for your own signed-in session, obtained from the /api/enterprise-auth/login endpoint. The REST API returns your own account data to you — it is a first-party consumer surface, not a third-party integration channel. Data from connected bank feeds (open-banking / CDR data) is your own data, returned only to you in your own authenticated session.
Path Parameters
Body
application/json
Was this page helpful?
⌘I
